function [FW_version HW_version controller_type serial_number echo_out]=CBMX_query_card_info(ser_obj)
% D. Stahl 21.11.11
% queries version of controller Firmware status and Hardware version
% response
% FW_version 1x3 double array
% HW_version double
% controller_type string
% serial_number string (currently empty)

verbose=0;
timeout=2;
if ser_obj.BytesAvailable
    fread(ser_obj,ser_obj.BytesAvailable); %clear receive buffer
end
fprintf(ser_obj,'card:info?;');
tic;
while ser_obj.BytesAvailable==0 && toc<timeout
    pause(0.1);
end
pause(0.05);
if ser_obj.BytesAvailable
    data=char(fread(ser_obj,ser_obj.BytesAvailable))';
    raw_res=regexp(data,'\n','split'); %read buffer and break it into lines
    for i=1:length(raw_res)
        if ~isempty(strfind(raw_res{i},'ERR'))
            error(raw_res{i});
            [FW_version HW_version controller_type serial_number]=deal([]);
        else
            if isempty(strfind(raw_res{i},'card:info?'))
                response=regexp(raw_res{i},',','split'); %split line at commas
                controller_type=response{1};
                serial_number=response{2}(3:end);
                FW_version=sscanf(response{3}(4:end),'%d.%d.%d');
                HW_version=sscanf(response{4}(4:end),'%d');
            else
                echo_out=raw_res{i};
            end
        end
    end
    if ~exist('echo_out'), echo_out=[]; end
    if verbose
        disp(strcat('Controller type: ',controller_type));
        disp(strcat('serial number: ',serial_number));
        disp(sptrintf('Firmware revision: %d.%d.%d',FW_version));
        disp(sptrintf('Hardware revision: %d',HW_version));
    end
else
    error('no data received');
end
