function [echo_status]=CBMX_query_echo(ser_obj)
% D. Stahl 21.11.11
% queries echo status of system controller
% response is a number: 1: echo on 0: echo off

verbose=0;
if ser_obj.BytesAvailable
    fread(ser_obj,ser_obj.BytesAvailable); %clear receive buffer
end
fprintf(ser_obj,'echo?;');
pause(0.3);
if ser_obj.BytesAvailable
    while ser_obj.BytesAvailable
        response=fscanf(ser_obj,'%c',ser_obj.BytesAvailable);
        if ~isempty(strfind(response,'ERR'))
            error(response);
            echo_status=[];
        else
            echo_status=sscanf(response,'%d');
        end
    end
    if verbose
        disp(sprintf('Echo status: %d',echo_status));       
    end
else
    error('no data received');
end
