function state=CBMX_query_interlock_state(ser_obj)
% D. Stahl 11.11.11
% queries INterlock state
% 1: Interlock disabled, 0: active

verbose=1; %outputs result to command line
if ser_obj.BytesAvailable
    fread(ser_obj,ser_obj.BytesAvailable); %clear receive buffer
end
fprintf(ser_obj,'intl?;');
pause(0.1);
if ser_obj.BytesAvailable
    while ser_obj.BytesAvailable
        raw_res=fscanf(ser_obj,'%c',ser_obj.BytesAvailable);
        if ~isempty(strfind(raw_res,'ERR'))
            error(raw_res);
            state=[];
        else
            state=sscanf(raw_res,'%d');
            if verbose, sprintf('Interlock state : %d',state); end
        end
    end
else
    error('no data received');
end
